package shub.dpm;

import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.pc.*;

public class barcodescanner_subs_0 {


public static RemoteObject  _activity_create(RemoteObject _firsttime) throws Exception{
try {
		Debug.PushSubsStack("Activity_Create (barcodescanner) ","barcodescanner",4,barcodescanner.mostCurrent.activityBA,barcodescanner.mostCurrent,22);
if (RapidSub.canDelegate("activity_create")) { return shub.dpm.barcodescanner.remoteMe.runUserSub(false, "barcodescanner","activity_create", _firsttime);}
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 22;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(2097152);
 BA.debugLineNum = 24;BA.debugLine="Activity.LoadLayout(\"BarcodeScanner\")";
Debug.ShouldStop(8388608);
barcodescanner.mostCurrent._activity.runMethodAndSync(false,"LoadLayout",(Object)(RemoteObject.createImmutable("BarcodeScanner")),barcodescanner.mostCurrent.activityBA);
 BA.debugLineNum = 25;BA.debugLine="Activity.Title=\"Charge-Scanner\"";
Debug.ShouldStop(16777216);
barcodescanner.mostCurrent._activity.runMethod(false,"setTitle",BA.ObjectToCharSequence("Charge-Scanner"));
 BA.debugLineNum = 28;BA.debugLine="bs1.ScanMode = bs1.FORMAT_ONE_D";
Debug.ShouldStop(134217728);
barcodescanner.mostCurrent._bs1.runVoidMethod ("setScanMode",barcodescanner.mostCurrent._bs1.getField(true,"FORMAT_ONE_D"));
 BA.debugLineNum = 29;BA.debugLine="AllgFnkt.PatID=0";
Debug.ShouldStop(268435456);
barcodescanner.mostCurrent._allgfnkt._patid /*RemoteObject*/  = BA.NumberToString(0);
 BA.debugLineNum = 30;BA.debugLine="If File.Exists(File.DirInternal ,\"DPM.ini\") = Tru";
Debug.ShouldStop(536870912);
if (RemoteObject.solveBoolean("=",barcodescanner.mostCurrent.__c.getField(false,"File").runMethod(true,"Exists",(Object)(barcodescanner.mostCurrent.__c.getField(false,"File").runMethod(true,"getDirInternal")),(Object)(RemoteObject.createImmutable("DPM.ini"))),barcodescanner.mostCurrent.__c.getField(true,"True"))) { 
 BA.debugLineNum = 31;BA.debugLine="AllgFnkt.sURL=AllgFnkt.Get_Params(\"URL\")";
Debug.ShouldStop(1073741824);
barcodescanner.mostCurrent._allgfnkt._surl /*RemoteObject*/  = barcodescanner.mostCurrent._allgfnkt.runMethod(true,"_get_params" /*RemoteObject*/ ,barcodescanner.mostCurrent.activityBA,(Object)(RemoteObject.createImmutable("URL")));
 BA.debugLineNum = 32;BA.debugLine="AllgFnkt.ResettimerInterval=AllgFnkt.Get_Params(";
Debug.ShouldStop(-2147483648);
barcodescanner.mostCurrent._allgfnkt._resettimerinterval /*RemoteObject*/  = BA.numberCast(int.class, barcodescanner.mostCurrent._allgfnkt.runMethod(true,"_get_params" /*RemoteObject*/ ,barcodescanner.mostCurrent.activityBA,(Object)(RemoteObject.createImmutable("TIMER"))));
 }else {
 };
 BA.debugLineNum = 35;BA.debugLine="lblpatient.Text=\"Bitte Patient auswählen\"";
Debug.ShouldStop(4);
barcodescanner.mostCurrent._lblpatient.runMethod(true,"setText",BA.ObjectToCharSequence("Bitte Patient auswählen"));
 BA.debugLineNum = 36;BA.debugLine="pattimer.Initialize(\"timer\",AllgFnkt.ResettimerIn";
Debug.ShouldStop(8);
barcodescanner.mostCurrent._pattimer.runVoidMethod ("Initialize",barcodescanner.processBA,(Object)(BA.ObjectToString("timer")),(Object)(BA.numberCast(long.class, barcodescanner.mostCurrent._allgfnkt._resettimerinterval /*RemoteObject*/ )));
 BA.debugLineNum = 37;BA.debugLine="End Sub";
Debug.ShouldStop(16);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_pause(RemoteObject _userclosed) throws Exception{
try {
		Debug.PushSubsStack("Activity_Pause (barcodescanner) ","barcodescanner",4,barcodescanner.mostCurrent.activityBA,barcodescanner.mostCurrent,52);
if (RapidSub.canDelegate("activity_pause")) { return shub.dpm.barcodescanner.remoteMe.runUserSub(false, "barcodescanner","activity_pause", _userclosed);}
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 52;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(524288);
 BA.debugLineNum = 53;BA.debugLine="Try";
Debug.ShouldStop(1048576);
try { BA.debugLineNum = 54;BA.debugLine="bs1.stopScanning";
Debug.ShouldStop(2097152);
barcodescanner.mostCurrent._bs1.runVoidMethod ("stopScanning");
 Debug.CheckDeviceExceptions();
} 
       catch (Exception e4) {
			BA.rdebugUtils.runVoidMethod("setLastException",barcodescanner.processBA, e4.toString()); };
 BA.debugLineNum = 58;BA.debugLine="End Sub";
Debug.ShouldStop(33554432);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _activity_resume() throws Exception{
try {
		Debug.PushSubsStack("Activity_Resume (barcodescanner) ","barcodescanner",4,barcodescanner.mostCurrent.activityBA,barcodescanner.mostCurrent,39);
if (RapidSub.canDelegate("activity_resume")) { return shub.dpm.barcodescanner.remoteMe.runUserSub(false, "barcodescanner","activity_resume");}
 BA.debugLineNum = 39;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(64);
 BA.debugLineNum = 41;BA.debugLine="If AllgFnkt.pid<>\"\" Then AllgFnkt.PatID=AllgFnkt.";
Debug.ShouldStop(256);
if (RemoteObject.solveBoolean("!",barcodescanner.mostCurrent._allgfnkt._pid /*RemoteObject*/ ,BA.ObjectToString(""))) { 
barcodescanner.mostCurrent._allgfnkt._patid /*RemoteObject*/  = barcodescanner.mostCurrent._allgfnkt._pid /*RemoteObject*/ ;};
 BA.debugLineNum = 43;BA.debugLine="If File.Exists(File.DirInternal ,\"DPM.ini\") = Tru";
Debug.ShouldStop(1024);
if (RemoteObject.solveBoolean("=",barcodescanner.mostCurrent.__c.getField(false,"File").runMethod(true,"Exists",(Object)(barcodescanner.mostCurrent.__c.getField(false,"File").runMethod(true,"getDirInternal")),(Object)(RemoteObject.createImmutable("DPM.ini"))),barcodescanner.mostCurrent.__c.getField(true,"True"))) { 
 BA.debugLineNum = 44;BA.debugLine="AllgFnkt.Get_Params(\"TIMER\")";
Debug.ShouldStop(2048);
barcodescanner.mostCurrent._allgfnkt.runVoidMethod ("_get_params" /*RemoteObject*/ ,barcodescanner.mostCurrent.activityBA,(Object)(RemoteObject.createImmutable("TIMER")));
 BA.debugLineNum = 45;BA.debugLine="pattimer.Enabled=False";
Debug.ShouldStop(4096);
barcodescanner.mostCurrent._pattimer.runMethod(true,"setEnabled",barcodescanner.mostCurrent.__c.getField(true,"False"));
 BA.debugLineNum = 46;BA.debugLine="pattimer.Initialize(\"timer\",AllgFnkt.ResettimerI";
Debug.ShouldStop(8192);
barcodescanner.mostCurrent._pattimer.runVoidMethod ("Initialize",barcodescanner.processBA,(Object)(BA.ObjectToString("timer")),(Object)(BA.numberCast(long.class, barcodescanner.mostCurrent._allgfnkt._resettimerinterval /*RemoteObject*/ )));
 BA.debugLineNum = 47;BA.debugLine="pattimer.Enabled=True";
Debug.ShouldStop(16384);
barcodescanner.mostCurrent._pattimer.runMethod(true,"setEnabled",barcodescanner.mostCurrent.__c.getField(true,"True"));
 };
 BA.debugLineNum = 49;BA.debugLine="If AllgFnkt.PID<>\"\" Then get_Pat(AllgFnkt.PID)";
Debug.ShouldStop(65536);
if (RemoteObject.solveBoolean("!",barcodescanner.mostCurrent._allgfnkt._pid /*RemoteObject*/ ,BA.ObjectToString(""))) { 
_get_pat(barcodescanner.mostCurrent._allgfnkt._pid /*RemoteObject*/ );};
 BA.debugLineNum = 50;BA.debugLine="End Sub";
Debug.ShouldStop(131072);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _bs1_scan_value(RemoteObject _val,RemoteObject _rawbyte,RemoteObject _barcodetype) throws Exception{
try {
		Debug.PushSubsStack("bs1_scan_value (barcodescanner) ","barcodescanner",4,barcodescanner.mostCurrent.activityBA,barcodescanner.mostCurrent,148);
if (RapidSub.canDelegate("bs1_scan_value")) { return shub.dpm.barcodescanner.remoteMe.runUserSub(false, "barcodescanner","bs1_scan_value", _val, _rawbyte, _barcodetype);}
RemoteObject _job = RemoteObject.declareNull("shub.dpm.httpjob");
RemoteObject _b = RemoteObject.declareNull("anywheresoftware.b4a.audio.Beeper");
Debug.locals.put("val", _val);
Debug.locals.put("rawbyte", _rawbyte);
Debug.locals.put("barcodetype", _barcodetype);
 BA.debugLineNum = 148;BA.debugLine="Sub bs1_scan_value(val As String, rawbyte() As Byt";
Debug.ShouldStop(524288);
 BA.debugLineNum = 149;BA.debugLine="If AllgFnkt.JobEnabled=False Then Return";
Debug.ShouldStop(1048576);
if (RemoteObject.solveBoolean("=",barcodescanner.mostCurrent._allgfnkt._jobenabled /*RemoteObject*/ ,barcodescanner.mostCurrent.__c.getField(true,"False"))) { 
if (true) return RemoteObject.createImmutable("");};
 BA.debugLineNum = 150;BA.debugLine="AllgFnkt.JobEnabled=False";
Debug.ShouldStop(2097152);
barcodescanner.mostCurrent._allgfnkt._jobenabled /*RemoteObject*/  = barcodescanner.mostCurrent.__c.getField(true,"False");
 BA.debugLineNum = 151;BA.debugLine="Try";
Debug.ShouldStop(4194304);
try { BA.debugLineNum = 152;BA.debugLine="bs1.stopScanning";
Debug.ShouldStop(8388608);
barcodescanner.mostCurrent._bs1.runVoidMethod ("stopScanning");
 Debug.CheckDeviceExceptions();
} 
       catch (Exception e6) {
			BA.rdebugUtils.runVoidMethod("setLastException",barcodescanner.processBA, e6.toString()); };
 BA.debugLineNum = 156;BA.debugLine="Dim job As HttpJob";
Debug.ShouldStop(134217728);
_job = RemoteObject.createNew ("shub.dpm.httpjob");Debug.locals.put("job", _job);
 BA.debugLineNum = 157;BA.debugLine="AllgFnkt.JobName=\"PostCharche\"";
Debug.ShouldStop(268435456);
barcodescanner.mostCurrent._allgfnkt._jobname /*RemoteObject*/  = BA.ObjectToString("PostCharche");
 BA.debugLineNum = 158;BA.debugLine="job.Initialize(AllgFnkt.JobName, Me)";
Debug.ShouldStop(536870912);
_job.runClassMethod (shub.dpm.httpjob.class, "_initialize" /*RemoteObject*/ ,barcodescanner.processBA,(Object)(barcodescanner.mostCurrent._allgfnkt._jobname /*RemoteObject*/ ),(Object)(barcodescanner.getObject()));
 BA.debugLineNum = 160;BA.debugLine="job.PostString(AllgFnkt.sURL&\"/DPMService/api/Pat";
Debug.ShouldStop(-2147483648);
_job.runClassMethod (shub.dpm.httpjob.class, "_poststring" /*RemoteObject*/ ,(Object)(RemoteObject.concat(barcodescanner.mostCurrent._allgfnkt._surl /*RemoteObject*/ ,RemoteObject.createImmutable("/DPMService/api/PatCharge/"),barcodescanner.mostCurrent._allgfnkt._patid /*RemoteObject*/ ,RemoteObject.createImmutable("/"),_val)),(Object)(RemoteObject.createImmutable("")));
 BA.debugLineNum = 162;BA.debugLine="Dim b As Beeper";
Debug.ShouldStop(2);
_b = RemoteObject.createNew ("anywheresoftware.b4a.audio.Beeper");Debug.locals.put("b", _b);
 BA.debugLineNum = 163;BA.debugLine="b.Initialize(300, 500) '300 milliseconds, 500 hz";
Debug.ShouldStop(4);
_b.runVoidMethod ("Initialize",(Object)(BA.numberCast(int.class, 300)),(Object)(BA.numberCast(int.class, 500)));
 BA.debugLineNum = 164;BA.debugLine="b.Beep";
Debug.ShouldStop(8);
_b.runVoidMethod ("Beep");
 BA.debugLineNum = 165;BA.debugLine="pattimer.Enabled=True";
Debug.ShouldStop(16);
barcodescanner.mostCurrent._pattimer.runMethod(true,"setEnabled",barcodescanner.mostCurrent.__c.getField(true,"True"));
 BA.debugLineNum = 166;BA.debugLine="End Sub";
Debug.ShouldStop(32);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _btnenterpatid_click() throws Exception{
try {
		Debug.PushSubsStack("btnEnterPatID_Click (barcodescanner) ","barcodescanner",4,barcodescanner.mostCurrent.activityBA,barcodescanner.mostCurrent,249);
if (RapidSub.canDelegate("btnenterpatid_click")) { return shub.dpm.barcodescanner.remoteMe.runUserSub(false, "barcodescanner","btnenterpatid_click");}
RemoteObject _inppat = RemoteObject.declareNull("anywheresoftware.b4a.agraham.dialogs.InputDialog");
 BA.debugLineNum = 249;BA.debugLine="Private Sub btnEnterPatID_Click";
Debug.ShouldStop(16777216);
 BA.debugLineNum = 250;BA.debugLine="Dim inppat As InputDialog";
Debug.ShouldStop(33554432);
_inppat = RemoteObject.createNew ("anywheresoftware.b4a.agraham.dialogs.InputDialog");Debug.locals.put("inppat", _inppat);
 BA.debugLineNum = 251;BA.debugLine="inppat.InputType=inppat.INPUT_TYPE_NUMBERS";
Debug.ShouldStop(67108864);
_inppat.runMethod(true,"setInputType",_inppat.getField(true,"INPUT_TYPE_NUMBERS"));
 BA.debugLineNum = 252;BA.debugLine="If inppat.Show(\"\",\"Patient Nummer eingeben\",\"OK\",";
Debug.ShouldStop(134217728);
if (RemoteObject.solveBoolean("=",_inppat.runMethodAndSync(true,"Show",(Object)(BA.ObjectToString("")),(Object)(BA.ObjectToString("Patient Nummer eingeben")),(Object)(BA.ObjectToString("OK")),(Object)(BA.ObjectToString("")),(Object)(BA.ObjectToString("")),barcodescanner.mostCurrent.activityBA,(Object)((barcodescanner.mostCurrent.__c.getField(false,"Null")))),BA.numberCast(double.class, barcodescanner.mostCurrent.__c.getField(false,"DialogResponse").getField(true,"CANCEL")))) { 
if (true) return RemoteObject.createImmutable("");};
 BA.debugLineNum = 253;BA.debugLine="get_Pat(inppat.Input)";
Debug.ShouldStop(268435456);
_get_pat(_inppat.runMethod(true,"getInput"));
 BA.debugLineNum = 254;BA.debugLine="lblpatient.RequestFocus";
Debug.ShouldStop(536870912);
barcodescanner.mostCurrent._lblpatient.runVoidMethod ("RequestFocus");
 BA.debugLineNum = 255;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _btnenterpatid_longclick() throws Exception{
try {
		Debug.PushSubsStack("btnEnterPatID_LongClick (barcodescanner) ","barcodescanner",4,barcodescanner.mostCurrent.activityBA,barcodescanner.mostCurrent,286);
if (RapidSub.canDelegate("btnenterpatid_longclick")) { return shub.dpm.barcodescanner.remoteMe.runUserSub(false, "barcodescanner","btnenterpatid_longclick");}
RemoteObject _inppat = RemoteObject.declareNull("anywheresoftware.b4a.agraham.dialogs.InputDialog");
 BA.debugLineNum = 286;BA.debugLine="Private Sub btnEnterPatID_LongClick";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 287;BA.debugLine="Dim inppat As InputDialog";
Debug.ShouldStop(1073741824);
_inppat = RemoteObject.createNew ("anywheresoftware.b4a.agraham.dialogs.InputDialog");Debug.locals.put("inppat", _inppat);
 BA.debugLineNum = 288;BA.debugLine="inppat.InputType=inppat.INPUT_TYPE_TEXT";
Debug.ShouldStop(-2147483648);
_inppat.runMethod(true,"setInputType",_inppat.getField(true,"INPUT_TYPE_TEXT"));
 BA.debugLineNum = 289;BA.debugLine="If inppat.Show(\"\",\"Patient Name eingeben\",\"OK\",\"\"";
Debug.ShouldStop(1);
if (RemoteObject.solveBoolean("=",_inppat.runMethodAndSync(true,"Show",(Object)(BA.ObjectToString("")),(Object)(BA.ObjectToString("Patient Name eingeben")),(Object)(BA.ObjectToString("OK")),(Object)(BA.ObjectToString("")),(Object)(BA.ObjectToString("")),barcodescanner.mostCurrent.activityBA,(Object)((barcodescanner.mostCurrent.__c.getField(false,"Null")))),BA.numberCast(double.class, barcodescanner.mostCurrent.__c.getField(false,"DialogResponse").getField(true,"CANCEL")))) { 
if (true) return RemoteObject.createImmutable("");};
 BA.debugLineNum = 290;BA.debugLine="get_Pat_Name(inppat.Input)";
Debug.ShouldStop(2);
_get_pat_name(_inppat.runMethod(true,"getInput"));
 BA.debugLineNum = 291;BA.debugLine="lblpatient.RequestFocus";
Debug.ShouldStop(4);
barcodescanner.mostCurrent._lblpatient.runVoidMethod ("RequestFocus");
 BA.debugLineNum = 292;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _btnlistdata_click() throws Exception{
try {
		Debug.PushSubsStack("btnListdata_Click (barcodescanner) ","barcodescanner",4,barcodescanner.mostCurrent.activityBA,barcodescanner.mostCurrent,275);
if (RapidSub.canDelegate("btnlistdata_click")) { return shub.dpm.barcodescanner.remoteMe.runUserSub(false, "barcodescanner","btnlistdata_click");}
 BA.debugLineNum = 275;BA.debugLine="Private Sub btnListdata_Click";
Debug.ShouldStop(262144);
 BA.debugLineNum = 276;BA.debugLine="If AllgFnkt.PatID=0 Then";
Debug.ShouldStop(524288);
if (RemoteObject.solveBoolean("=",barcodescanner.mostCurrent._allgfnkt._patid /*RemoteObject*/ ,BA.NumberToString(0))) { 
 BA.debugLineNum = 277;BA.debugLine="ToastMessageShow(\"Bitte zuerst Patient auswählen";
Debug.ShouldStop(1048576);
barcodescanner.mostCurrent.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Bitte zuerst Patient auswählen.")),(Object)(barcodescanner.mostCurrent.__c.getField(true,"True")));
 BA.debugLineNum = 278;BA.debugLine="Return";
Debug.ShouldStop(2097152);
if (true) return RemoteObject.createImmutable("");
 };
 BA.debugLineNum = 280;BA.debugLine="AllgFnkt.pid=AllgFnkt.PatID";
Debug.ShouldStop(8388608);
barcodescanner.mostCurrent._allgfnkt._pid /*RemoteObject*/  = barcodescanner.mostCurrent._allgfnkt._patid /*RemoteObject*/ ;
 BA.debugLineNum = 281;BA.debugLine="AllgFnkt.PatName=lblpatient.Text";
Debug.ShouldStop(16777216);
barcodescanner.mostCurrent._allgfnkt._patname /*RemoteObject*/  = barcodescanner.mostCurrent._lblpatient.runMethod(true,"getText");
 BA.debugLineNum = 282;BA.debugLine="StartActivity(\"ListData\")";
Debug.ShouldStop(33554432);
barcodescanner.mostCurrent.__c.runVoidMethod ("StartActivity",barcodescanner.processBA,(Object)((RemoteObject.createImmutable("ListData"))));
 BA.debugLineNum = 284;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _btnsearchpat_click() throws Exception{
try {
		Debug.PushSubsStack("btnSearchPat_Click (barcodescanner) ","barcodescanner",4,barcodescanner.mostCurrent.activityBA,barcodescanner.mostCurrent,236);
if (RapidSub.canDelegate("btnsearchpat_click")) { return shub.dpm.barcodescanner.remoteMe.runUserSub(false, "barcodescanner","btnsearchpat_click");}
RemoteObject _inppat = RemoteObject.declareNull("anywheresoftware.b4a.agraham.dialogs.InputDialog");
 BA.debugLineNum = 236;BA.debugLine="Private Sub btnSearchPat_Click";
Debug.ShouldStop(2048);
 BA.debugLineNum = 237;BA.debugLine="Dim inppat As InputDialog";
Debug.ShouldStop(4096);
_inppat = RemoteObject.createNew ("anywheresoftware.b4a.agraham.dialogs.InputDialog");Debug.locals.put("inppat", _inppat);
 BA.debugLineNum = 238;BA.debugLine="If inppat.Show(\"Patient-Nr\",\"Patient Nummer einge";
Debug.ShouldStop(8192);
if (RemoteObject.solveBoolean("=",_inppat.runMethodAndSync(true,"Show",(Object)(BA.ObjectToString("Patient-Nr")),(Object)(BA.ObjectToString("Patient Nummer eingeben")),(Object)(BA.ObjectToString("OK")),(Object)(BA.ObjectToString("")),(Object)(BA.ObjectToString("")),barcodescanner.mostCurrent.activityBA,(Object)((barcodescanner.mostCurrent.__c.getField(false,"Null")))),BA.numberCast(double.class, barcodescanner.mostCurrent.__c.getField(false,"DialogResponse").getField(true,"CANCEL")))) { 
if (true) return RemoteObject.createImmutable("");};
 BA.debugLineNum = 239;BA.debugLine="get_Pat(inppat.Input)";
Debug.ShouldStop(16384);
_get_pat(_inppat.runMethod(true,"getInput"));
 BA.debugLineNum = 240;BA.debugLine="pattimer.Enabled=False";
Debug.ShouldStop(32768);
barcodescanner.mostCurrent._pattimer.runMethod(true,"setEnabled",barcodescanner.mostCurrent.__c.getField(true,"False"));
 BA.debugLineNum = 241;BA.debugLine="get_Pat(txtPatNr.Text)";
Debug.ShouldStop(65536);
_get_pat(barcodescanner.mostCurrent._txtpatnr.runMethod(true,"getText"));
 BA.debugLineNum = 244;BA.debugLine="pattimer.Enabled=True";
Debug.ShouldStop(524288);
barcodescanner.mostCurrent._pattimer.runMethod(true,"setEnabled",barcodescanner.mostCurrent.__c.getField(true,"True"));
 BA.debugLineNum = 245;BA.debugLine="End Sub";
Debug.ShouldStop(1048576);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _btnstartscan_click() throws Exception{
try {
		Debug.PushSubsStack("BtnStartScan_Click (barcodescanner) ","barcodescanner",4,barcodescanner.mostCurrent.activityBA,barcodescanner.mostCurrent,257);
if (RapidSub.canDelegate("btnstartscan_click")) { return shub.dpm.barcodescanner.remoteMe.runUserSub(false, "barcodescanner","btnstartscan_click");}
 BA.debugLineNum = 257;BA.debugLine="Private Sub BtnStartScan_Click";
Debug.ShouldStop(1);
 BA.debugLineNum = 258;BA.debugLine="If AllgFnkt.PatID=0 Then";
Debug.ShouldStop(2);
if (RemoteObject.solveBoolean("=",barcodescanner.mostCurrent._allgfnkt._patid /*RemoteObject*/ ,BA.NumberToString(0))) { 
 BA.debugLineNum = 259;BA.debugLine="ToastMessageShow(\"Bitte zuerst Patient wählen\",T";
Debug.ShouldStop(4);
barcodescanner.mostCurrent.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Bitte zuerst Patient wählen")),(Object)(barcodescanner.mostCurrent.__c.getField(true,"True")));
 BA.debugLineNum = 260;BA.debugLine="Return";
Debug.ShouldStop(8);
if (true) return RemoteObject.createImmutable("");
 };
 BA.debugLineNum = 262;BA.debugLine="AllgFnkt.JobEnabled=True";
Debug.ShouldStop(32);
barcodescanner.mostCurrent._allgfnkt._jobenabled /*RemoteObject*/  = barcodescanner.mostCurrent.__c.getField(true,"True");
 BA.debugLineNum = 263;BA.debugLine="bs1.startScanning";
Debug.ShouldStop(64);
barcodescanner.mostCurrent._bs1.runVoidMethod ("startScanning");
 BA.debugLineNum = 264;BA.debugLine="pattimer.Enabled=False";
Debug.ShouldStop(128);
barcodescanner.mostCurrent._pattimer.runMethod(true,"setEnabled",barcodescanner.mostCurrent.__c.getField(true,"False"));
 BA.debugLineNum = 265;BA.debugLine="End Sub";
Debug.ShouldStop(256);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static RemoteObject  _btnstopscan_click() throws Exception{
try {
		Debug.PushSubsStack("BtnStopScan_Click (barcodescanner) ","barcodescanner",4,barcodescanner.mostCurrent.activityBA,barcodescanner.mostCurrent,267);
if (RapidSub.canDelegate("btnstopscan_click")) { return shub.dpm.barcodescanner.remoteMe.runUserSub(false, "barcodescanner","btnstopscan_click");}
 BA.debugLineNum = 267;BA.debugLine="Private Sub BtnStopScan_Click";
Debug.ShouldStop(1024);
 BA.debugLineNum = 268;BA.debugLine="Try";
Debug.ShouldStop(2048);
try { BA.debugLineNum = 269;BA.debugLine="bs1.stopScanning";
Debug.ShouldStop(4096);
barcodescanner.mostCurrent._bs1.runVoidMethod ("stopScanning");
 Debug.CheckDeviceExceptions();
} 
       catch (Exception e4) {
			BA.rdebugUtils.runVoidMethod("setLastException",barcodescanner.processBA, e4.toString()); };
 BA.debugLineNum = 272;BA.debugLine="Activity.Finish";
Debug.ShouldStop(32768);
barcodescanner.mostCurrent._activity.runVoidMethod ("Finish");
 BA.debugLineNum = 273;BA.debugLine="End Sub";
Debug.ShouldStop(65536);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static void  _get_pat(RemoteObject _id) throws Exception{
try {
		Debug.PushSubsStack("get_Pat (barcodescanner) ","barcodescanner",4,barcodescanner.mostCurrent.activityBA,barcodescanner.mostCurrent,67);
if (RapidSub.canDelegate("get_pat")) { shub.dpm.barcodescanner.remoteMe.runUserSub(false, "barcodescanner","get_pat", _id); return;}
ResumableSub_get_Pat rsub = new ResumableSub_get_Pat(null,_id);
rsub.resume(null, null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_get_Pat extends BA.ResumableSub {
public ResumableSub_get_Pat(shub.dpm.barcodescanner parent,RemoteObject _id) {
this.parent = parent;
this._id = _id;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
shub.dpm.barcodescanner parent;
RemoteObject _id;
RemoteObject _job = RemoteObject.declareNull("shub.dpm.httpjob");
RemoteObject _callurl = RemoteObject.createImmutable("");
RemoteObject _res = RemoteObject.createImmutable("");
RemoteObject _parser = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.JSONParser");
RemoteObject _list1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.List");
RemoteObject _map1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.Map");

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("get_Pat (barcodescanner) ","barcodescanner",4,barcodescanner.mostCurrent.activityBA,barcodescanner.mostCurrent,67);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
Debug.locals.put("id", _id);
 BA.debugLineNum = 69;BA.debugLine="Dim job As HttpJob";
Debug.ShouldStop(16);
_job = RemoteObject.createNew ("shub.dpm.httpjob");Debug.locals.put("job", _job);
 BA.debugLineNum = 70;BA.debugLine="AllgFnkt.JobName=\"GetPat\"";
Debug.ShouldStop(32);
parent.mostCurrent._allgfnkt._jobname /*RemoteObject*/  = BA.ObjectToString("GetPat");
 BA.debugLineNum = 71;BA.debugLine="job.Initialize(AllgFnkt.JobName, Me)";
Debug.ShouldStop(64);
_job.runClassMethod (shub.dpm.httpjob.class, "_initialize" /*RemoteObject*/ ,barcodescanner.processBA,(Object)(parent.mostCurrent._allgfnkt._jobname /*RemoteObject*/ ),(Object)(barcodescanner.getObject()));
 BA.debugLineNum = 72;BA.debugLine="Dim callurl As String = AllgFnkt.GetURL(id,\"\")";
Debug.ShouldStop(128);
_callurl = parent.mostCurrent._allgfnkt.runMethod(true,"_geturl" /*RemoteObject*/ ,barcodescanner.mostCurrent.activityBA,(Object)(_id),(Object)(RemoteObject.createImmutable("")));Debug.locals.put("callurl", _callurl);Debug.locals.put("callurl", _callurl);
 BA.debugLineNum = 73;BA.debugLine="job.Download(callurl)";
Debug.ShouldStop(256);
_job.runClassMethod (shub.dpm.httpjob.class, "_download" /*RemoteObject*/ ,(Object)(_callurl));
 BA.debugLineNum = 74;BA.debugLine="job.GetRequest.SetHeader(\"ApiKey\",AllgFnkt.apikey";
Debug.ShouldStop(512);
_job.runClassMethod (shub.dpm.httpjob.class, "_getrequest" /*RemoteObject*/ ).runVoidMethod ("SetHeader",(Object)(BA.ObjectToString("ApiKey")),(Object)(parent.mostCurrent._allgfnkt._apikey /*RemoteObject*/ ));
 BA.debugLineNum = 75;BA.debugLine="Wait For (job) JobDone(job As HttpJob)";
Debug.ShouldStop(1024);
parent.mostCurrent.__c.runVoidMethod ("WaitFor","jobdone", barcodescanner.processBA, anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "barcodescanner", "get_pat"), (_job));
this.state = 11;
return;
case 11:
//C
this.state = 1;
_job = (RemoteObject) result.getArrayElement(false,RemoteObject.createImmutable(0));Debug.locals.put("job", _job);
;
 BA.debugLineNum = 76;BA.debugLine="If job.Success Then";
Debug.ShouldStop(2048);
if (true) break;

case 1:
//if
this.state = 10;
if (_job.getField(true,"_success" /*RemoteObject*/ ).<Boolean>get().booleanValue()) { 
this.state = 3;
}else {
this.state = 9;
}if (true) break;

case 3:
//C
this.state = 4;
 BA.debugLineNum = 77;BA.debugLine="Dim res As String";
Debug.ShouldStop(4096);
_res = RemoteObject.createImmutable("");Debug.locals.put("res", _res);
 BA.debugLineNum = 78;BA.debugLine="res = job.GetString";
Debug.ShouldStop(8192);
_res = _job.runClassMethod (shub.dpm.httpjob.class, "_getstring" /*RemoteObject*/ );Debug.locals.put("res", _res);
 BA.debugLineNum = 79;BA.debugLine="Dim parser As JSONParser";
Debug.ShouldStop(16384);
_parser = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.JSONParser");Debug.locals.put("parser", _parser);
 BA.debugLineNum = 80;BA.debugLine="parser.Initialize(res)";
Debug.ShouldStop(32768);
_parser.runVoidMethod ("Initialize",(Object)(_res));
 BA.debugLineNum = 81;BA.debugLine="Dim list1 As List";
Debug.ShouldStop(65536);
_list1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");Debug.locals.put("list1", _list1);
 BA.debugLineNum = 82;BA.debugLine="list1 = parser.NextArray";
Debug.ShouldStop(131072);
_list1 = _parser.runMethod(false,"NextArray");Debug.locals.put("list1", _list1);
 BA.debugLineNum = 83;BA.debugLine="If list1.Size<1 Then";
Debug.ShouldStop(262144);
if (true) break;

case 4:
//if
this.state = 7;
if (RemoteObject.solveBoolean("<",_list1.runMethod(true,"getSize"),BA.numberCast(double.class, 1))) { 
this.state = 6;
}if (true) break;

case 6:
//C
this.state = 7;
 BA.debugLineNum = 84;BA.debugLine="ToastMessageShow(\"Patient nicht vorhanden.\",Tru";
Debug.ShouldStop(524288);
parent.mostCurrent.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Patient nicht vorhanden.")),(Object)(parent.mostCurrent.__c.getField(true,"True")));
 BA.debugLineNum = 86;BA.debugLine="AllgFnkt.PatID=0";
Debug.ShouldStop(2097152);
parent.mostCurrent._allgfnkt._patid /*RemoteObject*/  = BA.NumberToString(0);
 BA.debugLineNum = 87;BA.debugLine="lblpatient.Text=\"Patient nicht vorhanden.\"";
Debug.ShouldStop(4194304);
parent.mostCurrent._lblpatient.runMethod(true,"setText",BA.ObjectToCharSequence("Patient nicht vorhanden."));
 BA.debugLineNum = 88;BA.debugLine="Return";
Debug.ShouldStop(8388608);
if (true) return ;
 if (true) break;

case 7:
//C
this.state = 10;
;
 BA.debugLineNum = 90;BA.debugLine="Dim map1 As Map";
Debug.ShouldStop(33554432);
_map1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.Map");Debug.locals.put("map1", _map1);
 BA.debugLineNum = 91;BA.debugLine="map1 = list1.Get(0)";
Debug.ShouldStop(67108864);
_map1 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.objects.collections.Map"), _list1.runMethod(false,"Get",(Object)(BA.numberCast(int.class, 0))));
 BA.debugLineNum = 93;BA.debugLine="AllgFnkt.PatID = map1.Get(\"id\")";
Debug.ShouldStop(268435456);
parent.mostCurrent._allgfnkt._patid /*RemoteObject*/  = BA.ObjectToString(_map1.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("id")))));
 BA.debugLineNum = 94;BA.debugLine="AllgFnkt.PatName=map1.Get(\"pat\")";
Debug.ShouldStop(536870912);
parent.mostCurrent._allgfnkt._patname /*RemoteObject*/  = BA.ObjectToString(_map1.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("pat")))));
 BA.debugLineNum = 95;BA.debugLine="lblpatient.Text=AllgFnkt.PatName";
Debug.ShouldStop(1073741824);
parent.mostCurrent._lblpatient.runMethod(true,"setText",BA.ObjectToCharSequence(parent.mostCurrent._allgfnkt._patname /*RemoteObject*/ ));
 if (true) break;

case 9:
//C
this.state = 10;
 BA.debugLineNum = 98;BA.debugLine="ToastMessageShow(\"Funktionsaufruf fehlgeschlagen";
Debug.ShouldStop(2);
parent.mostCurrent.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Funktionsaufruf fehlgeschlagen.")),(Object)(parent.mostCurrent.__c.getField(true,"False")));
 BA.debugLineNum = 99;BA.debugLine="Log(job.ErrorMessage)";
Debug.ShouldStop(4);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","12228256",_job.getField(true,"_errormessage" /*RemoteObject*/ ),0);
 if (true) break;

case 10:
//C
this.state = -1;
;
 BA.debugLineNum = 102;BA.debugLine="job.Release";
Debug.ShouldStop(32);
_job.runClassMethod (shub.dpm.httpjob.class, "_release" /*RemoteObject*/ );
 BA.debugLineNum = 104;BA.debugLine="End Sub";
Debug.ShouldStop(128);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static void  _jobdone(RemoteObject _job) throws Exception{
}
public static void  _get_pat_name(RemoteObject _searchstring) throws Exception{
try {
		Debug.PushSubsStack("get_Pat_Name (barcodescanner) ","barcodescanner",4,barcodescanner.mostCurrent.activityBA,barcodescanner.mostCurrent,106);
if (RapidSub.canDelegate("get_pat_name")) { shub.dpm.barcodescanner.remoteMe.runUserSub(false, "barcodescanner","get_pat_name", _searchstring); return;}
ResumableSub_get_Pat_Name rsub = new ResumableSub_get_Pat_Name(null,_searchstring);
rsub.resume(null, null);
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
public static class ResumableSub_get_Pat_Name extends BA.ResumableSub {
public ResumableSub_get_Pat_Name(shub.dpm.barcodescanner parent,RemoteObject _searchstring) {
this.parent = parent;
this._searchstring = _searchstring;
}
java.util.LinkedHashMap<String, Object> rsLocals = new java.util.LinkedHashMap<String, Object>();
shub.dpm.barcodescanner parent;
RemoteObject _searchstring;
RemoteObject _job = RemoteObject.declareNull("shub.dpm.httpjob");
RemoteObject _callurl = RemoteObject.createImmutable("");
RemoteObject _res = RemoteObject.createImmutable("");
RemoteObject _parser = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.JSONParser");
RemoteObject _list1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.List");
RemoteObject _map1 = RemoteObject.declareNull("anywheresoftware.b4a.objects.collections.Map");

@Override
public void resume(BA ba, RemoteObject result) throws Exception{
try {
		Debug.PushSubsStack("get_Pat_Name (barcodescanner) ","barcodescanner",4,barcodescanner.mostCurrent.activityBA,barcodescanner.mostCurrent,106);
Debug.locals = rsLocals;Debug.currentSubFrame.locals = rsLocals;

    while (true) {
        switch (state) {
            case -1:
return;

case 0:
//C
this.state = 1;
Debug.locals.put("searchstring", _searchstring);
 BA.debugLineNum = 107;BA.debugLine="Dim job As HttpJob";
Debug.ShouldStop(1024);
_job = RemoteObject.createNew ("shub.dpm.httpjob");Debug.locals.put("job", _job);
 BA.debugLineNum = 108;BA.debugLine="AllgFnkt.JobName=\"GetPatName\"";
Debug.ShouldStop(2048);
parent.mostCurrent._allgfnkt._jobname /*RemoteObject*/  = BA.ObjectToString("GetPatName");
 BA.debugLineNum = 109;BA.debugLine="job.Initialize(AllgFnkt.JobName, Me)";
Debug.ShouldStop(4096);
_job.runClassMethod (shub.dpm.httpjob.class, "_initialize" /*RemoteObject*/ ,barcodescanner.processBA,(Object)(parent.mostCurrent._allgfnkt._jobname /*RemoteObject*/ ),(Object)(barcodescanner.getObject()));
 BA.debugLineNum = 110;BA.debugLine="Dim callurl As String = AllgFnkt.GetURL(searchstr";
Debug.ShouldStop(8192);
_callurl = parent.mostCurrent._allgfnkt.runMethod(true,"_geturl" /*RemoteObject*/ ,barcodescanner.mostCurrent.activityBA,(Object)(_searchstring),(Object)(RemoteObject.createImmutable("")));Debug.locals.put("callurl", _callurl);Debug.locals.put("callurl", _callurl);
 BA.debugLineNum = 111;BA.debugLine="job.Download(callurl)";
Debug.ShouldStop(16384);
_job.runClassMethod (shub.dpm.httpjob.class, "_download" /*RemoteObject*/ ,(Object)(_callurl));
 BA.debugLineNum = 112;BA.debugLine="job.GetRequest.SetHeader(\"ApiKey\",AllgFnkt.apikey";
Debug.ShouldStop(32768);
_job.runClassMethod (shub.dpm.httpjob.class, "_getrequest" /*RemoteObject*/ ).runVoidMethod ("SetHeader",(Object)(BA.ObjectToString("ApiKey")),(Object)(parent.mostCurrent._allgfnkt._apikey /*RemoteObject*/ ));
 BA.debugLineNum = 113;BA.debugLine="Wait For (job) JobDone(job As HttpJob)";
Debug.ShouldStop(65536);
parent.mostCurrent.__c.runVoidMethod ("WaitFor","jobdone", barcodescanner.processBA, anywheresoftware.b4a.pc.PCResumableSub.createDebugResumeSub(this, "barcodescanner", "get_pat_name"), (_job));
this.state = 14;
return;
case 14:
//C
this.state = 1;
_job = (RemoteObject) result.getArrayElement(false,RemoteObject.createImmutable(0));Debug.locals.put("job", _job);
;
 BA.debugLineNum = 114;BA.debugLine="If job.Success Then";
Debug.ShouldStop(131072);
if (true) break;

case 1:
//if
this.state = 13;
if (_job.getField(true,"_success" /*RemoteObject*/ ).<Boolean>get().booleanValue()) { 
this.state = 3;
}else {
this.state = 12;
}if (true) break;

case 3:
//C
this.state = 4;
 BA.debugLineNum = 115;BA.debugLine="Dim res As String";
Debug.ShouldStop(262144);
_res = RemoteObject.createImmutable("");Debug.locals.put("res", _res);
 BA.debugLineNum = 116;BA.debugLine="res = job.GetString";
Debug.ShouldStop(524288);
_res = _job.runClassMethod (shub.dpm.httpjob.class, "_getstring" /*RemoteObject*/ );Debug.locals.put("res", _res);
 BA.debugLineNum = 117;BA.debugLine="Dim parser As JSONParser";
Debug.ShouldStop(1048576);
_parser = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.JSONParser");Debug.locals.put("parser", _parser);
 BA.debugLineNum = 118;BA.debugLine="parser.Initialize(res)";
Debug.ShouldStop(2097152);
_parser.runVoidMethod ("Initialize",(Object)(_res));
 BA.debugLineNum = 119;BA.debugLine="Dim list1 As List";
Debug.ShouldStop(4194304);
_list1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.List");Debug.locals.put("list1", _list1);
 BA.debugLineNum = 120;BA.debugLine="list1 = parser.NextArray";
Debug.ShouldStop(8388608);
_list1 = _parser.runMethod(false,"NextArray");Debug.locals.put("list1", _list1);
 BA.debugLineNum = 121;BA.debugLine="If list1.Size<1 Then";
Debug.ShouldStop(16777216);
if (true) break;

case 4:
//if
this.state = 7;
if (RemoteObject.solveBoolean("<",_list1.runMethod(true,"getSize"),BA.numberCast(double.class, 1))) { 
this.state = 6;
}if (true) break;

case 6:
//C
this.state = 7;
 BA.debugLineNum = 122;BA.debugLine="ToastMessageShow(\"Keine Daten gefunden\",True)";
Debug.ShouldStop(33554432);
parent.mostCurrent.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Keine Daten gefunden")),(Object)(parent.mostCurrent.__c.getField(true,"True")));
 BA.debugLineNum = 123;BA.debugLine="AllgFnkt.PatID=0";
Debug.ShouldStop(67108864);
parent.mostCurrent._allgfnkt._patid /*RemoteObject*/  = BA.NumberToString(0);
 BA.debugLineNum = 124;BA.debugLine="lblpatient.Text=\"Patient nicht vorhanden.\"";
Debug.ShouldStop(134217728);
parent.mostCurrent._lblpatient.runMethod(true,"setText",BA.ObjectToCharSequence("Patient nicht vorhanden."));
 BA.debugLineNum = 125;BA.debugLine="Return";
Debug.ShouldStop(268435456);
if (true) return ;
 if (true) break;
;
 BA.debugLineNum = 127;BA.debugLine="If list1.Size=1 Then";
Debug.ShouldStop(1073741824);

case 7:
//if
this.state = 10;
if (RemoteObject.solveBoolean("=",_list1.runMethod(true,"getSize"),BA.numberCast(double.class, 1))) { 
this.state = 9;
}if (true) break;

case 9:
//C
this.state = 10;
 BA.debugLineNum = 128;BA.debugLine="Dim map1 As Map";
Debug.ShouldStop(-2147483648);
_map1 = RemoteObject.createNew ("anywheresoftware.b4a.objects.collections.Map");Debug.locals.put("map1", _map1);
 BA.debugLineNum = 129;BA.debugLine="map1 = list1.Get(0)";
Debug.ShouldStop(1);
_map1 = RemoteObject.declareNull("anywheresoftware.b4a.AbsObjectWrapper").runMethod(false, "ConvertToWrapper", RemoteObject.createNew("anywheresoftware.b4a.objects.collections.Map"), _list1.runMethod(false,"Get",(Object)(BA.numberCast(int.class, 0))));
 BA.debugLineNum = 130;BA.debugLine="AllgFnkt.PatID = map1.Get(\"id\")";
Debug.ShouldStop(2);
parent.mostCurrent._allgfnkt._patid /*RemoteObject*/  = BA.ObjectToString(_map1.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("id")))));
 BA.debugLineNum = 131;BA.debugLine="AllgFnkt.PatName=map1.Get(\"pat\")";
Debug.ShouldStop(4);
parent.mostCurrent._allgfnkt._patname /*RemoteObject*/  = BA.ObjectToString(_map1.runMethod(false,"Get",(Object)((RemoteObject.createImmutable("pat")))));
 BA.debugLineNum = 132;BA.debugLine="lblpatient.Text=AllgFnkt.PatName";
Debug.ShouldStop(8);
parent.mostCurrent._lblpatient.runMethod(true,"setText",BA.ObjectToCharSequence(parent.mostCurrent._allgfnkt._patname /*RemoteObject*/ ));
 BA.debugLineNum = 133;BA.debugLine="Return";
Debug.ShouldStop(16);
if (true) return ;
 if (true) break;

case 10:
//C
this.state = 13;
;
 BA.debugLineNum = 135;BA.debugLine="AllgFnkt.resultlist=list1";
Debug.ShouldStop(64);
parent.mostCurrent._allgfnkt._resultlist /*RemoteObject*/  = _list1;
 BA.debugLineNum = 136;BA.debugLine="StartActivity(\"ListPat\")";
Debug.ShouldStop(128);
parent.mostCurrent.__c.runVoidMethod ("StartActivity",barcodescanner.processBA,(Object)((RemoteObject.createImmutable("ListPat"))));
 if (true) break;

case 12:
//C
this.state = 13;
 BA.debugLineNum = 138;BA.debugLine="ToastMessageShow(\"Funktionsaufruf fehlgeschlagen";
Debug.ShouldStop(512);
parent.mostCurrent.__c.runVoidMethod ("ToastMessageShow",(Object)(BA.ObjectToCharSequence("Funktionsaufruf fehlgeschlagen.")),(Object)(parent.mostCurrent.__c.getField(true,"False")));
 BA.debugLineNum = 139;BA.debugLine="Log(job.ErrorMessage)";
Debug.ShouldStop(1024);
parent.mostCurrent.__c.runVoidMethod ("LogImpl","12293793",_job.getField(true,"_errormessage" /*RemoteObject*/ ),0);
 if (true) break;

case 13:
//C
this.state = -1;
;
 BA.debugLineNum = 142;BA.debugLine="job.Release";
Debug.ShouldStop(8192);
_job.runClassMethod (shub.dpm.httpjob.class, "_release" /*RemoteObject*/ );
 BA.debugLineNum = 144;BA.debugLine="End Sub";
Debug.ShouldStop(32768);
if (true) break;

            }
        }
    }
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}
public static RemoteObject  _globals() throws Exception{
 //BA.debugLineNum = 12;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 15;BA.debugLine="Private bs1 As BillScanner";
barcodescanner.mostCurrent._bs1 = RemoteObject.createNew ("billwrapper.billWrapper");
 //BA.debugLineNum = 16;BA.debugLine="Private pattimer As Timer";
barcodescanner.mostCurrent._pattimer = RemoteObject.createNew ("anywheresoftware.b4a.objects.Timer");
 //BA.debugLineNum = 17;BA.debugLine="Dim lblpatient As Label";
barcodescanner.mostCurrent._lblpatient = RemoteObject.createNew ("anywheresoftware.b4a.objects.LabelWrapper");
 //BA.debugLineNum = 18;BA.debugLine="Dim pnlEnterPatID As Panel";
barcodescanner.mostCurrent._pnlenterpatid = RemoteObject.createNew ("anywheresoftware.b4a.objects.PanelWrapper");
 //BA.debugLineNum = 19;BA.debugLine="Dim txtPatNr As EditText";
barcodescanner.mostCurrent._txtpatnr = RemoteObject.createNew ("anywheresoftware.b4a.objects.EditTextWrapper");
 //BA.debugLineNum = 20;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 10;BA.debugLine="End Sub";
return RemoteObject.createImmutable("");
}
public static RemoteObject  _timer_tick() throws Exception{
try {
		Debug.PushSubsStack("Timer_Tick (barcodescanner) ","barcodescanner",4,barcodescanner.mostCurrent.activityBA,barcodescanner.mostCurrent,60);
if (RapidSub.canDelegate("timer_tick")) { return shub.dpm.barcodescanner.remoteMe.runUserSub(false, "barcodescanner","timer_tick");}
 BA.debugLineNum = 60;BA.debugLine="Sub Timer_Tick";
Debug.ShouldStop(134217728);
 BA.debugLineNum = 61;BA.debugLine="AllgFnkt.PatID=0";
Debug.ShouldStop(268435456);
barcodescanner.mostCurrent._allgfnkt._patid /*RemoteObject*/  = BA.NumberToString(0);
 BA.debugLineNum = 62;BA.debugLine="lblpatient.Text=\"Bitte Patient auswählen\"";
Debug.ShouldStop(536870912);
barcodescanner.mostCurrent._lblpatient.runMethod(true,"setText",BA.ObjectToCharSequence("Bitte Patient auswählen"));
 BA.debugLineNum = 63;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return RemoteObject.createImmutable("");
}
catch (Exception e) {
			throw Debug.ErrorCaught(e);
		} 
finally {
			Debug.PopSubsStack();
		}}
}